Subject: Common Questions, RFC-compliant Architecture

From: "Brian Bisaillon" <[email-masked]>
Date: Fri, 06 Sep 2002 10:03:30 -0400

Hello,

Has the IETF ever created an RFC to aid organizations with what standards are absolutely mandatory in terms of interoperability and what other standards are optional?

For example, I can pass DNS RFCs 1034 and 1035 as absolutely required for core interoperability in terms of the "enterprise" but I'm guessing that all the other RFCs that pertain mostly to DNS (there are a lot) are purely optional based on implementation. Another example is LDAP where RFCs 2251, 2252, 2253, and 2820 are mandatory for core interoperability whereas all the other standards would be optional based on implementation. Then some people come and say "wouldn't you want to standardize on the schema?" which is RFCs 1274, 2256, 2596, and 2649.

In any case, what I've found on the SIB (Standards Information Base) and other websites is that organizations are mandating the minimum but that only goes so far in terms of interoperability. Therefore, have I taken the right approach by mandating the minimum and then soon to work closely with other business units to determine what other RFCs are required for those protocols and many others based on specific implementations?

I found it was most meaningful for technical people if I categorized all of the protocols we're trying to standardize upon by layers of the OSI model. However, in terms of things like HTML or XML, I grouped those into categories similar to the UK Interoperability Framework such as Data Integration, Information Access, Content Management Metadata, and XML for Business Areas.

Anyway, from my understanding this is a question many organizations are posing and they have no guidance other than the technical people within their organization who make a best attempt at trying to ratify some of these things. I had posted a question on the ISOC mailing list sometime back. The result was that people are basically asking "What is the right combination of RFCs in terms of addressing interoperability across an enterprise and what other RFCs should be considered on a case-by-case basis only?"

Oh yeah, on a last note I've been reading a little about fuzzy layering. Usually when we mandate standards and we have to convince CAOs and CIOs (who may or may not be necessarily technically inclined) about the standards we are mandating they don't want a "fuzzy" explanation. This is why I categorized the protocols in their respective OSI layers regardless of the fact that some of the bit-level detail may actually be "fuzzy". Does the protocol fit more in its respective layer or is it all "fuzzy" I don't know. I don't get into that much detail but according to common charts on network communications protocols IP resides in Network and TCP resides in Transport so that's what I'm doing. I'm not going to bother giving people a "fuzzy" explanation because it will just confuse people.

Brian B.